%% CHP CATALOGUE
CHP_range = [20,50,100,140,200,220,240,250,360,400,450,527,550,600, ...
    637,800,835,845,1067,1130,1200,1413,1560,2000]*1000; % Catalogue
for i = 1:length(CHP_range)
    if i == length(CHP_range)
        CHP_max = CHP_range(i);
    end
    if CHP_max <= CHP_range(i)
        CHP_max = CHP_range(i);
        break
    end
    if CHP_max > CHP_range(i) && CHP_max < CHP_range (i+1)
        if CHP_max - CHP_range(i) <= CHP_range(i+1) - CHP_max
            CHP_max = CHP_range(i);
            break
        else
            CHP_max = CHP_range(i+1);
            break
        end
    end
end

CHP_electric_efficiency_range=[31.5,34.5,36.9,36.5,37.4,39.6,36,37.5,42.5,...
    38.8,41,39.8,42.6,42,40.5,42.4,40,42.7,41,42.9,43.7,42.9,43.3,43.6]/100;
CHP_heat_power_range=[43,100,130,207,256,253,370,312,389,504,480,625,...
    585,654,731,856,986,865,1208,1155,1195,1442,1584,1990]*1000;
CHP_heat_efficiency_range=[73.1,68.5,47.9,53.9,47.9,45.5,55.5,46.8,46,48.9,...
    43.8,47.2,45.3,45.8,46.5,45.3,47.2,43.8,46.4,43.8,43.5,43.8,43.9,43.4]/100;
CHP_electric_efficiency=CHP_electric_efficiency_range(find(CHP_range==CHP_max));
CHP_heat_power=CHP_heat_power_range(find(CHP_range==CHP_max));
CHP_heat_efficiency=CHP_heat_efficiency_range(find(CHP_range==CHP_max));